<?php 

	if (Session::get("tipo_usuario") != "1"){ show_403();}
	if ($_SERVER["REQUEST_METHOD"] == "POST") {
		import_file(DIR_MODELS."Model.class.php");

		$titulo = filter_input(INPUT_POST, "titulo_topico", FILTER_SANITIZE_STRING);

		$model = new Model();

		if ($model->issetElementInTable("topico", ["titulo_topico" => $titulo])) {
			echo json_encode(["status" => false, "motivo" => "titulo"]);
			exit();
		}

		$id_topico = $model->insert("topico", [
			"titulo_topico" => $titulo,
			"slug_topico" => show_slug($titulo),
			"status_topico" => "S"
		]);

		if ($id_topico > 0) {
			$last_query = $model->lastQuery();
			$model->insert("historico", [
				"comando_sql" => $last_query,
				"datahora_acao" => date("Y-m-d H:i:s"),
				"id_usuario" => Session::get("id_usuario")
			]);

			$model->commit();
			echo json_encode(["status" => true]);
		}
		else{
			$model->rollback();
			echo json_encode(["status" => false]);
		}
	}
	else{
		show_403();
	}

?>